import { r as registerInstance, B as Build, h } from './index-26447f8a.js';

const appCompanyCss = "";

const AppCompany = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.companyId = undefined;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" }, h("floodteam-title-bar", null, h("ion-router-link", { href: "/companies" }, "Companies")), h("floodteam-company-flow", { companyId: this.companyId && this.companyId !== "new" ? this.companyId : null, endpoint: this.companyId && this.companyId !== "new"
          ? "editCompany"
          : "addCompany" })),
      h("floodteam-navigation-footer", null),
    ];
  }
};
AppCompany.style = appCompanyCss;

export { AppCompany as app_company };
